"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.AzExtQuickInputButtons = exports.learnMore = exports.storageProviderType = exports.storageProvider = exports.resourcesProvider = void 0;
const vscode_1 = require("vscode");
const localize_1 = require("./localize");
exports.resourcesProvider = 'Microsoft.Resources';
exports.storageProvider = 'Microsoft.Storage';
exports.storageProviderType = "Microsoft.Storage/storageAccounts";
exports.learnMore = (0, localize_1.localize)('learnMore', "Learn more");
var AzExtQuickInputButtons;
(function (AzExtQuickInputButtons) {
    AzExtQuickInputButtons.LearnMore = { iconPath: new vscode_1.ThemeIcon('question'), tooltip: exports.learnMore };
})(AzExtQuickInputButtons = exports.AzExtQuickInputButtons || (exports.AzExtQuickInputButtons = {}));
//# sourceMappingURL=constants.js.map