"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerReportIssueCommand = exports.callWithMaskHandling = exports.addExtensionValueToMask = exports.registerUIExtensionVariables = exports.createExperimentationService = exports.createAzExtOutputChannel = void 0;
var AzExtOutputChannel_1 = require("./AzExtOutputChannel");
Object.defineProperty(exports, "createAzExtOutputChannel", { enumerable: true, get: function () { return AzExtOutputChannel_1.createAzExtOutputChannel; } });
__exportStar(require("./AzExtTreeFileSystem"), exports);
__exportStar(require("./callWithTelemetryAndErrorHandling"), exports);
__exportStar(require("./createApiProvider"), exports);
__exportStar(require("./createAzureClient"), exports);
var createExperimentationService_1 = require("./createExperimentationService");
Object.defineProperty(exports, "createExperimentationService", { enumerable: true, get: function () { return createExperimentationService_1.createExperimentationService; } });
__exportStar(require("./DialogResponses"), exports);
__exportStar(require("./errors"), exports);
__exportStar(require("./extensionUserAgent"), exports);
var extensionVariables_1 = require("./extensionVariables");
Object.defineProperty(exports, "registerUIExtensionVariables", { enumerable: true, get: function () { return extensionVariables_1.registerUIExtensionVariables; } });
var masking_1 = require("./masking");
Object.defineProperty(exports, "addExtensionValueToMask", { enumerable: true, get: function () { return masking_1.addExtensionValueToMask; } });
Object.defineProperty(exports, "callWithMaskHandling", { enumerable: true, get: function () { return masking_1.callWithMaskHandling; } });
__exportStar(require("./openInPortal"), exports);
__exportStar(require("./openReadOnlyContent"), exports);
__exportStar(require("./parseError"), exports);
__exportStar(require("./registerCommand"), exports);
__exportStar(require("./registerEvent"), exports);
var registerReportIssueCommand_1 = require("./registerReportIssueCommand");
Object.defineProperty(exports, "registerReportIssueCommand", { enumerable: true, get: function () { return registerReportIssueCommand_1.registerReportIssueCommand; } });
__exportStar(require("./tree/AzExtParentTreeItem"), exports);
__exportStar(require("./tree/AzExtTreeDataProvider"), exports);
__exportStar(require("./tree/AzExtTreeItem"), exports);
__exportStar(require("./tree/AzureAccountTreeItemBase"), exports);
__exportStar(require("./tree/GenericTreeItem"), exports);
__exportStar(require("./tree/SubscriptionTreeItemBase"), exports);
__exportStar(require("./utils/AzExtFsExtra"), exports);
__exportStar(require("./utils/uiUtils"), exports);
__exportStar(require("./wizard/AzureNameStep"), exports);
__exportStar(require("./wizard/AzureWizard"), exports);
__exportStar(require("./wizard/AzureWizardExecuteStep"), exports);
__exportStar(require("./wizard/AzureWizardPromptStep"), exports);
__exportStar(require("./wizard/LocationListStep"), exports);
__exportStar(require("./wizard/ResourceGroupCreateStep"), exports);
__exportStar(require("./wizard/ResourceGroupListStep"), exports);
__exportStar(require("./wizard/ResourceGroupNameStep"), exports);
__exportStar(require("./wizard/StorageAccountCreateStep"), exports);
__exportStar(require("./wizard/StorageAccountListStep"), exports);
__exportStar(require("./wizard/StorageAccountNameStep"), exports);
__exportStar(require("./wizard/VerifyProvidersStep"), exports);
// NOTE: The auto-fix action "source.organizeImports" does weird things with this file, but there doesn't seem to be a way to disable it on a per-file basis so we'll just let it happen
//# sourceMappingURL=index.js.map