"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIconPath = void 0;
const path = require("path");
const extensionVariables_1 = require("../extensionVariables");
function getIconPath(iconName) {
    return path.join(getResourcesPath(), `${iconName}.svg`);
}
exports.getIconPath = getIconPath;
function getResourcesPath() {
    return extensionVariables_1.ext.ignoreBundle ?
        path.join(__dirname, '..', '..', '..', 'resources') :
        path.join(__dirname, 'node_modules', 'vscode-azureextensionui', 'resources');
}
//# sourceMappingURL=IconPath.js.map