"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAzExtParentTreeItem = void 0;
/**
 * Using instanceof AzExtParentTreeItem causes issues whenever packages are linked for dev testing. Instead, check _isAzExtParentTreeItem
 */
function isAzExtParentTreeItem(item) {
    return !!item._isAzExtParentTreeItem;
}
exports.isAzExtParentTreeItem = isAzExtParentTreeItem;
//# sourceMappingURL=InternalInterfaces.js.map