"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.md in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.openUrl = void 0;
const open = require("open");
function openUrl(url) {
    return __awaiter(this, void 0, void 0, function* () {
        // Using this functionality is blocked by https://github.com/Microsoft/vscode/issues/85930
        // await vscode.commands.executeCommand('vscode.open', vscode.Uri.parse(url));
        yield open(url);
    });
}
exports.openUrl = openUrl;
//# sourceMappingURL=openUrl.js.map