"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.md in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeBom = exports.parseJson = void 0;
/**
 * Has extra logic to remove a BOM character if it exists
 */
function parseJson(data) {
    return JSON.parse(removeBom(data));
}
exports.parseJson = parseJson;
function removeBom(data) {
    return data.charCodeAt(0) === 0xFEFF ? data.slice(1) : data;
}
exports.removeBom = removeBom;
//# sourceMappingURL=parseJson.js.map